<template>
  <div>
    <div class="container pt-3 d-flex justify-content-center 
        align-items-center profile-header">
      <div class="col-md-2 mb-3">
        <img
          :src="user.picture"
          alt="User's profile picture"
          class="rounded-circle img-fluid profile-picture"
        />
      </div>
      <div class="col-md text-center text-md-left">
        <h2>{{ user.name }}</h2>
        <p class="lead text-muted">{{ user.email }}</p>
      </div>
    </div>

    <div class="row">
      <pre class="col-12 text-light bg-dark p-4">
{{
        JSON.stringify(user, null, 2)
      }}</pre
      >
    </div>
  </div>
</template>

<script lang="ts">

import { defineComponent } from '@vue/runtime-core'

export default defineComponent({
  name: 'ProfileView',


  data: function() {
    return {
      user: this.$auth0.user
    }
  }
});
</script>